Package org.eclipse.equinox.p2.repository.metadata.spi

## Class AbstractMetadataRepository.RepositoryState

- java.lang.Object
- - org.eclipse.equinox.p2.repository.metadata.spi.AbstractMetadataRepository.RepositoryState

Enclosing class:
  AbstractMetadataRepository

    public static class AbstractMetadataRepository.RepositoryState
    extends Object

A class that encapsulates the persisted state of a repository. This is used as a convenience when loading and storing repositories.

See Also:
  `AbstractMetadataRepository.initialize(RepositoryState)`

### Field Summary

Fields
`String` `Description` The persisted description of the repository.
`URI` `Location` The persisted location of the repository.
`String` `Name` The persisted name of the repository.
`Map<String,​String>` `Properties` The persisted properties of the repository.
`String` `Provider` The persisted provider of the repository.
`IRepositoryReference[]` `Repositories` The persisted array of repository references
`String` `Type` The persisted type of the repository.
`IInstallableUnit[]` `Units` The persisted set of installable units of the repository.
`Version` `Version` The persisted version of the repository.

### Constructor Summary

Constructors
`RepositoryState()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Name

    public String Name

The persisted name of the repository.

#### Type

    public String Type

The persisted type of the repository.

#### Version

    public Version Version

The persisted version of the repository.

#### Provider

    public String Provider

The persisted provider of the repository.

#### Description

    public String Description

The persisted description of the repository.

#### Location

    public URI Location

The persisted location of the repository.

#### Properties

    public Map<String,​String> Properties

The persisted properties of the repository.

#### Units

    public IInstallableUnit[] Units

The persisted set of installable units of the repository.

#### Repositories

    public IRepositoryReference[] Repositories

The persisted array of repository references

### Constructor Detail

#### RepositoryState

    public RepositoryState()